<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
	xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.4.xsd">


	<changeSet id="1.0.01" author="jefferson.galvao">
		<createTable schemaName="dbmateriais"
			tableName="tb_estoque">

			<column name="id" type="bigint" autoIncrement="true">
				<constraints unique="true" nullable="false" />
			</column>
			<column name="quantidade" type="bigint" />

		</createTable>

		<addPrimaryKey schemaName="dbmateriais"
			tableName="tb_estoque" columnNames="id" />


	</changeSet>

	<changeSet id="1.0.02" author="jefferson.galvao">

		<!-- Relacionamento Estoque com Material -->
		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="1"></column>
			<column name="quantidade" value="10"></column>
		</insert>

		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="2"></column>
			<column name="quantidade" value="10"></column>
		</insert>


		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="3"></column>
			<column name="quantidade" value="10"></column>
		</insert>

		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="4"></column>
			<column name="quantidade" value="10"></column>
		</insert>

		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="5"></column>
			<column name="quantidade" value="10"></column>
		</insert>

		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="6"></column>
			<column name="quantidade" value="10"></column>
		</insert>

		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="7"></column>
			<column name="quantidade" value="10"></column>
		</insert>

		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="8"></column>
			<column name="quantidade" value="10"></column>
		</insert>

		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="9"></column>
			<column name="quantidade" value="10"></column>
		</insert>

		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="10"></column>
			<column name="quantidade" value="10"></column>
		</insert>

		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="11"></column>
			<column name="quantidade" value="10"></column>
		</insert>

		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="12"></column>
			<column name="quantidade" value="10"></column>
		</insert>

		<insert schemaName="dbmateriais" tableName="tb_estoque">
			<column name="id" value="13"></column>
			<column name="quantidade" value="10"></column>
		</insert>

	</changeSet>

</databaseChangeLog>